## org.apache.hive.jdbc
Class HiveQueryResultSet.Builder

    java.lang.Object
      org.apache.hive.jdbc.HiveQueryResultSet.Builder

Enclosing class:
  HiveQueryResultSet

    public static class HiveQueryResultSet.Builder

extends Object

Constructor Summary
`HiveQueryResultSet.Builder(Connection connection)`
`HiveQueryResultSet.Builder(Statement statement)`

Method Summary
`HiveQueryResultSet` `build()`
`TProtocolVersion` `getProtocolVersion()`
`HiveQueryResultSet.Builder` `setClient(TCLIService.Iface client)`
`HiveQueryResultSet.Builder` `setEmptyResultSet(boolean emptyResultSet)`
`HiveQueryResultSet.Builder` `setFetchSize(int fetchSize)`
`HiveQueryResultSet.Builder` `setMaxRows(int maxRows)`
`HiveQueryResultSet.Builder` `setSchema(List<String> colNames, List<String> colTypes)`
`HiveQueryResultSet.Builder` `setSchema(List<String> colNames, List<String> colTypes, List<org.apache.hive.jdbc.JdbcColumnAttributes> colAttributes)`
`HiveQueryResultSet.Builder` `setScrollable(boolean setScrollable)`
`HiveQueryResultSet.Builder` `setSessionHandle(TSessionHandle sessHandle)`
`HiveQueryResultSet.Builder` `setStmtHandle(TOperationHandle stmtHandle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiveQueryResultSet.Builder

    public HiveQueryResultSet.Builder(Statement statement)
                               throws SQLException

Throws:
  `SQLException`

### HiveQueryResultSet.Builder

    public HiveQueryResultSet.Builder(Connection connection)

Method Detail

### setClient

    public HiveQueryResultSet.Builder setClient(TCLIService.Iface client)

### setStmtHandle

    public HiveQueryResultSet.Builder setStmtHandle(TOperationHandle stmtHandle)

### setSessionHandle

    public HiveQueryResultSet.Builder setSessionHandle(TSessionHandle sessHandle)

### setMaxRows

    public HiveQueryResultSet.Builder setMaxRows(int maxRows)

### setSchema

    public HiveQueryResultSet.Builder setSchema(List<String> colNames,
                                                List<String> colTypes)

### setSchema

    public HiveQueryResultSet.Builder setSchema(List<String> colNames,
                                                List<String> colTypes,
                                                List<org.apache.hive.jdbc.JdbcColumnAttributes> colAttributes)

### setFetchSize

    public HiveQueryResultSet.Builder setFetchSize(int fetchSize)

### setEmptyResultSet

    public HiveQueryResultSet.Builder setEmptyResultSet(boolean emptyResultSet)

### setScrollable

    public HiveQueryResultSet.Builder setScrollable(boolean setScrollable)

### build

    public HiveQueryResultSet build()
                             throws SQLException

  Throws:
    `SQLException`

### getProtocolVersion

    public TProtocolVersion getProtocolVersion()
                                        throws SQLException

  Throws:
    `SQLException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.